summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author Lockywolf <for_sbo.mbrola-voices_2023-11-27@lockywolf.net>2023-11-29 06:08:19 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-11-29 18:19:11 +0700
commitc256922292e2be6076fd30e0018a96de9a326e8d (patch)
tree1d08e99cd0e233aac6ac93e3bbe8a4bc4035efd0 /accessibility
parent26efaf6aba1c79718b59d3136ed5ed35056176e6 (diff)
downloadslackbuilds-c256922292e2be6076fd30e0018a96de9a326e8d.tar.gz
slackbuilds-c256922292e2be6076fd30e0018a96de9a326e8d.tar.xz
accessibility/mbrola-voices: Added (speech synth. data).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/mbrola-voices/README18
-rw-r--r--accessibility/mbrola-voices/mbrola-voices.SlackBuild88
-rw-r--r--accessibility/mbrola-voices/mbrola-voices.info10
-rw-r--r--accessibility/mbrola-voices/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/accessibility/mbrola-voices/README b/accessibility/mbrola-voices/README
new file mode 100644
index 0000000000..1207232298
--- /dev/null
+++ b/accessibility/mbrola-voices/README
@@ -0,0 +1,18 @@
+MBROLA voices database
+
+This project provides list of MBROLA speech synthesizer voices. It is
+intended to provide easier collaboration and automatic updates for
+individual users and packagers.
+
+This package does not contain executable code, so does not _strictly_
+depend on mbrola, but it is unlikely to be useful without it, and
+mbrola itself is not likely to be useful without this package.
+
+Mbrola voices are _not_ independent of espeak's own voices.
+If you want to use an mbrola voice to add intonation to Espeak's voice,
+add mb- before the voice name, and if it is supported, espeak will use
+the intonation file.
+
+To test that mbrola voices have been installed correctly, run:
+
+/usr/bin/espeak -v mb-us2 -s 120 test
diff --git a/accessibility/mbrola-voices/mbrola-voices.SlackBuild b/accessibility/mbrola-voices/mbrola-voices.SlackBuild
new file mode 100644
index 0000000000..dec5fba883
--- /dev/null
+++ b/accessibility/mbrola-voices/mbrola-voices.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+# Slackware build script for mbrola-voices
+
+# Copyright 2023, Lockywolf
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=mbrola-voices
+VERSION=${VERSION:-20200330_fe05a0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARNAM=MBROLA-voices
+COMMIT=fe05a0ccef6a941207fd6aaad0b31294a1f93a51
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $TARNAM-$COMMIT
+tar zxvf $CWD/$TARNAM-$COMMIT.tar.gz
+cd $TARNAM-$COMMIT
+
+chown -R root:root .
+find -L $PKG/ \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -d -m 755 $PKG/usr/share/mbrola/voices
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+(
+cd ./data/
+l_voices=(*)
+#cp -r ./data/* $PKG/usr/share/mbrola/voices/*/*
+for v in "${l_voices[@]}" ; do
+ cp "$v"/"$v" $PKG/usr/share/mbrola/voices/
+ mkdir $PKG/usr/doc/$PRGNAM-$VERSION/"$v"/
+ cp "$v"/*.txt $PKG/usr/doc/$PRGNAM-$VERSION/"$v"/
+done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.md README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/accessibility/mbrola-voices/mbrola-voices.info b/accessibility/mbrola-voices/mbrola-voices.info
new file mode 100644
index 0000000000..4e31b7347c
--- /dev/null
+++ b/accessibility/mbrola-voices/mbrola-voices.info
@@ -0,0 +1,10 @@
+PRGNAM="mbrola-voices"
+VERSION="20200330_fe05a0"
+HOMEPAGE="https://github.com/numediart/MBROLA-voices"
+DOWNLOAD="https://github.com/numediart/MBROLA-voices/archive/fe05a0ccef6a941207fd6aaad0b31294a1f93a51/MBROLA-voices-fe05a0ccef6a941207fd6aaad0b31294a1f93a51.tar.gz"
+MD5SUM="c625d326019cc93c3906d6819fcb9fbc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="mbrola"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo.mbrola-voices_2023-11-27@lockywolf.net"
diff --git a/accessibility/mbrola-voices/slack-desc b/accessibility/mbrola-voices/slack-desc
new file mode 100644
index 0000000000..59436782f7
--- /dev/null
+++ b/accessibility/mbrola-voices/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mbrola-voices: mbrola-voices (MBROLA voices database)
+mbrola-voices:
+mbrola-voices: This project provides list of MBROLA speech synthesizer voices. It
+mbrola-voices: is intended to provide easier collaboration and automatic updates
+mbrola-voices: for individual users and packagers.
+mbrola-voices:
+mbrola-voices:
+mbrola-voices:
+mbrola-voices:
+mbrola-voices:
+mbrola-voices: